%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:           avfs
Version:        1.1.5
Release:        %mkrel 1
Summary:        A Virtual File System
License:        GPLv2
Group:          System/Base
Url:            http://avf.sourceforge.net/
Source0:        http://downloads.sourceforge.net/avf/%{name}-%{version}.tar.xz
BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)

%description
AVFS is a system, which enables all programs to look inside archived or
compressed files, or access remote files without recompiling the programs
or changing the kernel.
At the moment it supports floppies, tar and gzip files, zip, bzip2, ar and
rar files, ftp sessions, http, webdav, rsh/rcp, ssh/scp. Quite a few other
handlers are implemented with the Midnight Commander's external FS.

%package -n %{libname}
Summary:        Libraries needed for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries for the %{name} virtual file system.

%package -n %{develname}
Summary:        Header files for %{name}
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
This package contains the header files needed to develop with %{name}

%prep
%setup -q

%build
%configure2_5x --with-system-zlib --with-system-bzlib --enable-fuse --enable-static=no
%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

%files
%{_bindir}/avfsd
%{_bindir}/davpass
%{_bindir}/ftppass
%{_bindir}/mountavfs
%{_bindir}/umountavfs
%{_libdir}/avfs

%files -n %{libname}
%{_libdir}/libavfs.so.%{major}
%{_libdir}/libavfs.so.%{major}.*

%files -n %{develname}
%{_bindir}/avfs-config
%{_libdir}/libavfs.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/avfs.h
%{_includedir}/virtual.h


%changelog
* Sat Mar 25 2023 tex - 1.1.5-1pclos2023
- new version

* Sat Apr 24 2021 tex - 1.1.4-1pclos2021
- new version
